/*
 * 
 * SerLEDDevice.H header file for class SerLEDDevice
 *
 */
//c - c++
#include "vector"
#include "string"


#ifndef SERLEDDEVICE_H
#define SERLEDDEVICE_H

class SerLEDDevice
	{
	public:
//=============================constructor - destructor=========================
	inline SerLEDDevice() {}
	inline virtual ~SerLEDDevice() {}
//============================intervace functions===============================
	/** Get a led number - return -1 if led is invalid
	@param items line in config file broken up in strings
	
	*/
	virtual int GetLEDNumber(const std::vector<std::string> & items) =0;
	
	/** Turn on Led
	@param led led number
	
	*/
	virtual void On(int led) = 0;
	
	/** Turn off Led
	@param led led number
	
	*/
	virtual void Off(int led) = 0;
	};
	
#endif
